%bcond_without check

%global goipath         golang.org/x/lint
%global forgeurl        https://github.com/golang/lint
%global commit          83fdc39ff7b56453e3793356bcff3070b9b96445

%gometa

%global goaltipaths     github.com/golang/lint

%global common_description %{expand:
Golint is a linter for Go source code.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

%global vimfiles_root %{_datadir}/vim/vimfiles

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Linter for Go source code

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/tools/go/ast/astutil)
BuildRequires:  golang(golang.org/x/tools/go/gcexportdata)

Provides:       golint = %{version}-%{release}

%description
%{common_description}

%gopkg

%package -n vim-golint

Requires:       %name
Requires:       vim-common

Summary: Golint vim plugin
%description -n vim-golint
%summary


%prep
%goprep

%build
for cmd in golint; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{vimfiles_root}
cp -ar misc/vim/ftplugin %{buildroot}%{vimfiles_root}

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles

%files -n vim-golint
%{vimfiles_root}/ftplugin/*

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
